"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _utils = require("./utils");

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Build Phases handler to manipulate build phase items for project and targets
 */
var Buildphase = function () {
    function Buildphase(project, xcode) {
        _classCallCheck(this, Buildphase);

        this.project = project;
        this.xcode = xcode;
    }

    /**
     * Add a script build phase to a specific target
     *
     * @example
     * const p = new Project("project.pbxproj");
     * p.buildphase.addScript("TestProject", 'echo hello world', "Basic test");
     *
     * @param target The name of the target
     * @param script The script
     * @param name Used to rename the phase with your own name
     */


    _createClass(Buildphase, [{
        key: "addScript",
        value: function addScript(target, script, name) {
            var tg = this.project.getTarget(target);
            var key = _utils2.default.pbx_uid(this.xcode);
            var keyComment = key + "_comment";

            var phase = {
                isa: "PBXShellScriptBuildPhase",
                buildActionMask: 2147483647,
                files: [],
                inputPaths: [],
                outputPaths: [],
                runOnlyForDeploymentPostprocessing: 0,
                shellPath: "/bin/sh",
                shellScript: "\"" + script + "\""
            };
            if (name) {
                phase.name = "\"" + name + "\"";
            }

            this.xcode.project.objects.PBXShellScriptBuildPhase[key] = phase;
            this.xcode.project.objects.PBXShellScriptBuildPhase[keyComment] = name ? name : "ShellScript";

            tg.buildPhases.push({
                value: key,
                comment: name ? name : "ShellScript"
            });
        }
    }]);

    return Buildphase;
}();

exports.default = Buildphase;