"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _crypto = require("crypto");

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function getUids(xcode) {
    var uids = [];

    Object.keys(xcode.project.objects).forEach(function (section) {
        var keys = Object.keys(xcode.project.objects[section]);

        var newKeys = keys.filter(function (item) {
            return typeof item === "string" && item.indexOf("_comment") === -1;
        });

        uids = [].concat(_toConsumableArray(uids), _toConsumableArray(newKeys));
    });

    return uids;
}

function pbx_uid(xcode) {
    var uids = getUids(xcode);
    var uid = null;

    do {
        uid = (0, _crypto.randomBytes)(12).toString('hex').toUpperCase();
    } while (uids.indexOf(uid) != -1);

    return uid;
}

exports.default = {
    pbx_uid: pbx_uid
};